package de.ozgcloud.nachrichten;

import org.springframework.stereotype.Component;

import de.ozgcloud.apilib.common.callcontext.CallContext;
import de.ozgcloud.apilib.common.callcontext.OzgCloudCallContextProvider;
import de.ozgcloud.nachrichten.common.grpc.NachrichtenCallContextAttachingInterceptor;
import lombok.RequiredArgsConstructor;

@Component
@RequiredArgsConstructor
class NachrichtenManagerCallContextProvider implements OzgCloudCallContextProvider {

	@Override
	public CallContext provideContext() {
		return CallContext.builder().clientName(NachrichtenCallContextAttachingInterceptor.NACHRICHTEN_MANAGER_CLIENT_NAME).build();
	}
}