package de.ozgcloud.nachrichten.antragraum;

import java.time.ZonedDateTime;

import de.ozgcloud.nachrichten.postfach.PostfachAddress;
import lombok.Builder;
import lombok.Getter;

@Getter
@Builder(toBuilder = true)
class RueckfrageHead {

	private String id;
	private String vorgangId;
	private String vorgangName;
	private String vorgangNummer;

	private PostfachAddress postfachAddress;
	private ZonedDateTime sentAt;
	private ZonedDateTime answeredAt;

	@Builder.Default
	private RueckfrageStatus status = RueckfrageStatus.NEW;

	private String trustLevel;
	private boolean accessible;
}